# Changing to next scenario after each choice

kill @e[type=!player]
execute as @a at @s run playsound minecraft:ambient.cave master @s ~ ~ ~ 10 1
execute as @a at @s run playsound minecraft:block.glass.break master @s ~ ~ ~ 10 1
tp @a 0 37 1 90 0
##########################################
execute if score @p Scene matches 30 run setblock -5 37 1 minecraft:red_terracotta
# "thanks for playing" + final number
execute if score @p Scene matches 30 run tellraw @a ["",{"text":"\n"},{"text":"Thank you for your answers! Your final score is: ","color":"yellow"},{"score":{"name":"@p","objective":"Number"},"color":"blue"},{"text":". "},{"text":"This score will be different for all users based on what their answers were, so see if anybody else had the same score as yours!","color":"yellow"},{"text":"\n "}]
# remove "C" selector
execute if score @p Scene matches 30 run fill 1 35 0 3 38 2 air
execute if score @p Scene matches 30 run scoreboard players set @a Scene 31
##########################################
execute if score @p Scene matches 29 run setblock -5 37 1 minecraft:green_terracotta
# replace Train of Death with regular train
execute if score @p Scene matches 29 run clone -6 12 -21 0 1 6 4 35 8
# add "C" selector
execute if score @p Scene matches 29 run clone 2 1 32 4 4 30 1 35 0
# 5 people on track A
execute if score @p Scene matches 29 run summon villager 5 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 29 run summon villager 6 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 29 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 29 run summon villager 8 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 29 run summon villager 9 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# 1 person on track B
execute if score @p Scene matches 29 run summon villager 17 35 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 29 run scoreboard players set @a Scene 30
##########################################
execute if score @p Scene matches 28 run setblock -5 37 1 minecraft:brown_terracotta
# remove fenced off area on main track
execute if score @p Scene matches 28 run fill 3 39 15 9 35 7 air
# replace tracks
execute if score @p Scene matches 28 run clone 22 22 -7 14 22 30 3 34 6
execute if score @p Scene matches 28 run clone 1 25 10 29 25 38 3 34 -23
# remove upright track on track A
execute if score @p Scene matches 28 run fill 5 41 -9 9 35 -9 air
# remove big 5 on track B
execute if score @p Scene matches 28 run fill 14 35 0 14 39 2 air
# replace train with Train of Death
execute if score @p Scene matches 28 run clone 10 27 6 4 16 -21 4 35 8
execute if score @p Scene matches 28 run scoreboard players set @a Scene 29
##########################################
execute if score @p Scene matches 27 run setblock -5 37 1 minecraft:blue_terracotta
# remove "love" from track A
execute if score @p Scene matches 27 run fill 17 35 -3 17 42 5 air
# remove train
execute if score @p Scene matches 27 run fill 4 35 8 10 48 35 air
# trap players in fenced off area on main track
execute if score @p Scene matches 27 run clone 26 5 -3 22 5 1 5 35 9
execute if score @p Scene matches 27 run tp @a 7 36 11
# place selection area next to main track
execute if score @p Scene matches 27 run clone -5 35 -3 -5 39 5 3 35 7
execute if score @p Scene matches 27 run setblock 4 36 7 minecraft:oak_button[facing=east]
execute if score @p Scene matches 27 run setblock 4 36 15 minecraft:spruce_button[facing=east]
# replace all tracks with small trains
execute if score @p Scene matches 27 run clone 22 16 -7 14 16 30 3 34 6
execute if score @p Scene matches 27 run clone 1 19 10 29 19 38 3 34 -23
# 1 upright track on "track" A
execute if score @p Scene matches 27 run clone 18 1 -13 22 7 -13 5 35 -9
# 1 big 5 on "track" B
execute if score @p Scene matches 27 run clone 14 1 -1 14 5 1 14 35 0
execute if score @p Scene matches 27 run scoreboard players set @a Scene 28
##########################################
execute if score @p Scene matches 26 run setblock -5 37 1 minecraft:purple_terracotta
# replace tracks
execute if score @p Scene matches 26 run fill 3 34 -23 31 34 43 iron_block replace minecraft:orange_concrete_powder
# replace train
execute if score @p Scene matches 26 run clone -6 12 -21 0 1 6 4 35 8
# remove question cards
execute if score @p Scene matches 26 run fill 9 35 -10 5 55 -10 air
execute if score @p Scene matches 26 run fill 17 35 3 17 39 -1 air
# 1 doctor (taiga butcher) on track A
execute if score @p Scene matches 26 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,VillagerData:{profession:"minecraft:butcher",type:"minecraft:taiga"}}
# 1 "love" on track B
execute if score @p Scene matches 26 run clone 25 8 10 25 1 16 17 35 -2
execute if score @p Scene matches 26 run scoreboard players set @a Scene 27
##########################################
execute if score @p Scene matches 25 run setblock -5 37 1 minecraft:cyan_terracotta
# replace all tracks with people
execute if score @p Scene matches 25 run fill 3 34 -23 31 34 43 minecraft:orange_concrete_powder replace iron_block
# replace train with upright track
execute if score @p Scene matches 25 run fill 4 35 8 10 47 35 air
execute if score @p Scene matches 25 run clone 22 7 -13 18 1 -13 5 35 22
# 5 question cards on "track" A
execute if score @p Scene matches 25 run clone -6 1 30 -2 21 30 5 35 -10
# 1 question card on "track" B
execute if score @p Scene matches 25 run clone -6 1 38 -6 5 34 17 35 -1
execute if score @p Scene matches 25 run scoreboard players set @a Scene 26
##########################################
execute if score @p Scene matches 24 run setblock -5 37 1 minecraft:light_gray_terracotta
# replace train
execute if score @p Scene matches 24 run clone -6 12 -21 0 1 6 4 35 8
# remove trains on track A
execute if score @p Scene matches 24 run fill -3 35 -6 16 82 -12 air
execute if score @p Scene matches 24 run fill 12 51 -5 12 51 -13 nether_brick_fence replace air
execute if score @p Scene matches 24 run fill 2 51 -13 2 51 -5 nether_brick_fence replace air
# remove trains on track B
execute if score @p Scene matches 24 run fill 20 45 14 14 35 -5 air
# 1 person on the corner of tracks A and B
execute if score @p Scene matches 24 run summon villager 7 35 6 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# 9 people on track A (in a line behind the other person)
execute if score @p Scene matches 24 run summon villager 5 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 24 run summon villager 6 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 24 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 24 run summon villager 8 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 24 run summon villager 9 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 24 run summon villager 5 35 -14 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 24 run summon villager 6 35 -14 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 24 run summon villager 8 35 -14 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 24 run summon villager 9 35 -14 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 24 run scoreboard players set @a Scene 25
##########################################
execute if score @p Scene matches 23 run setblock -5 37 1 minecraft:gray_terracotta
# replace train with person
execute if score @p Scene matches 23 run fill 10 46 35 4 35 8 air
execute if score @p Scene matches 23 run summon villager 7 35 14 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[180F,0F]}
# 5 trains on track A
execute if score @p Scene matches 23 run clone -6 1 20 13 11 26 -3 35 -12 masked
execute if score @p Scene matches 23 run clone -6 1 20 13 11 26 -3 44 -12 masked
execute if score @p Scene matches 23 run clone -6 1 20 13 11 26 -3 53 -12 masked
execute if score @p Scene matches 23 run clone -6 1 20 13 11 26 -3 62 -12 masked
execute if score @p Scene matches 23 run clone -6 1 20 13 11 26 -3 71 -12 masked
execute if score @p Scene matches 23 run fill 12 51 -5 12 51 -13 nether_brick_fence replace air
execute if score @p Scene matches 23 run fill 2 51 -13 2 51 -5 nether_brick_fence replace air
# 1 train on track B
execute if score @p Scene matches 23 run clone 23 11 39 17 1 20 14 35 -5
execute if score @p Scene matches 23 run scoreboard players set @a Scene 24
##########################################
execute if score @p Scene matches 22 run setblock -5 37 1 minecraft:pink_terracotta
# 1 cat & dog on track A
execute if score @p Scene matches 22 run summon cat 6 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 22 run summon wolf 8 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# 1 person on track B
execute if score @p Scene matches 22 run summon villager 17 35 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 22 run scoreboard players set @a Scene 23
##########################################
execute if score @p Scene matches 21 run setblock -5 37 1 minecraft:lime_terracotta
# 1 person on track B
execute if score @p Scene matches 21 run summon villager 17 35 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 21 run scoreboard players set @a Scene 22
##########################################
execute if score @p Scene matches 20 run setblock -5 37 1 minecraft:yellow_terracotta
# 5 people on track A
execute if score @p Scene matches 20 run summon villager 5 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 20 run summon villager 6 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 20 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 20 run summon villager 8 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 20 run summon villager 9 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 20 run scoreboard players set @a Scene 21
##########################################
execute if score @p Scene matches 19 run setblock -5 37 1 minecraft:light_blue_terracotta
# remove dead bodies
execute if score @p Scene matches 19 run fill 6 35 11 8 35 43 air
# 5 people on track A
execute if score @p Scene matches 19 run summon villager 5 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 19 run summon villager 6 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 19 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 19 run summon villager 8 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 19 run summon villager 9 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# 5 people on track B
execute if score @p Scene matches 19 run summon villager 17 35 -1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 19 run summon villager 17 35 0 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 19 run summon villager 17 35 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 19 run summon villager 17 35 2 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 19 run summon villager 17 35 3 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 19 run scoreboard players set @a Scene 20
##########################################
execute if score @p Scene matches 18 run setblock -5 37 1 minecraft:magenta_terracotta
# infinite dead bodies behind the train
execute if score @p Scene matches 18 run fill 6 35 11 8 35 43 redstone_wire
# infinite people in front of the train and on track A
execute if score @p Scene matches 18 run summon villager 7 35 -23 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 -22 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 -21 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 -20 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 -19 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 -18 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 -17 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 -16 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 -15 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 -14 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 -13 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 -12 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 -11 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 -9 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 -8 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 -7 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 -6 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 -5 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 -4 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 -3 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 -2 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 -1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 0 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 2 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 3 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 4 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 5 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 6 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run summon villager 7 35 7 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 18 run scoreboard players set @a Scene 19
##########################################
execute if score @p Scene matches 17 run setblock -5 37 1 minecraft:orange_terracotta
# remove portals
execute if score @p Scene matches 17 run fill 25 35 -3 25 46 5 air
execute if score @p Scene matches 17 run fill 11 46 -18 3 35 -18 air
# 1 person on track A
execute if score @p Scene matches 17 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# 5 robots (iron golems) on track B
execute if score @p Scene matches 17 run summon iron_golem 21 35 -1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 17 run summon iron_golem 17 35 0 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 17 run summon iron_golem 21 35 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 17 run summon iron_golem 17 35 2 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 17 run summon iron_golem 21 35 3 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 17 run scoreboard players set @a Scene 18
##########################################
execute if score @p Scene matches 16 run setblock -5 37 1 minecraft:white_terracotta
# portal on track A
execute if score @p Scene matches 16 run clone 14 12 -17 22 1 -17 3 35 -18
# portal on track B
execute if score @p Scene matches 16 run clone 14 12 -13 14 1 -5 25 35 -3
execute if score @p Scene matches 16 run scoreboard players set @a Scene 17
##########################################
execute if score @p Scene matches 15 run setblock -5 37 1 minecraft:black_glazed_terracotta[facing=east]
# 5 people on track A
execute if score @p Scene matches 15 run summon villager 5 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 15 run summon villager 6 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 15 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 15 run summon villager 8 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 15 run summon villager 9 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 15 run scoreboard players set @a Scene 16
##########################################
execute if score @p Scene matches 14 run setblock -5 37 1 minecraft:red_glazed_terracotta[facing=east]
# remove time portal on track B
execute if score @p Scene matches 14 run fill 25 46 5 25 35 -3 air
# 1 evil person (plains weaponsmith) on the edge of track A
execute if score @p Scene matches 14 run summon villager 4.0 35 -8 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,VillagerData:{profession:"minecraft:weaponsmith",type:"minecraft:plains"},Rotation:[-90F,0F]}
execute if score @p Scene matches 14 run scoreboard players set @a Scene 15
##########################################
execute if score @p Scene matches 13 run setblock -5 37 1 minecraft:green_glazed_terracotta[facing=east]
# replace shopping trolley with train
execute if score @p Scene matches 13 run clone -6 12 -21 0 1 6 4 35 8
# 1 person on track A
execute if score @p Scene matches 13 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# time portal on track B
execute if score @p Scene matches 13 run clone 8 12 38 8 1 30 25 35 -3
execute if score @p Scene matches 13 run scoreboard players set @a Scene 14
##########################################
execute if score @p Scene matches 12 run setblock -5 37 1 minecraft:brown_glazed_terracotta[facing=east]
# replace train with shopping trolley
execute if score @p Scene matches 12 run fill 10 35 35 4 46 8 air
execute if score @p Scene matches 12 run clone 22 3 -9 23 1 -7 6 35 24
# 5 people on track A
execute if score @p Scene matches 12 run summon villager 5 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 12 run summon villager 6 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 12 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 12 run summon villager 8 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 12 run summon villager 9 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# 1 person on track B
execute if score @p Scene matches 12 run summon villager 17 35 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 12 run scoreboard players set @a Scene 13
##########################################
execute if score @p Scene matches 11 run setblock -5 37 1 minecraft:blue_glazed_terracotta[facing=east]
# remove walls
execute if score @p Scene matches 11 run fill 3 35 -12 31 39 5 air replace bricks
# 2 people on track A
execute if score @p Scene matches 11 run summon villager 6 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 11 run summon villager 8 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# 5 people on track B
execute if score @p Scene matches 11 run summon villager 17 35 -1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 11 run summon villager 17 35 0 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 11 run summon villager 17 35 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 11 run summon villager 17 35 2 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 11 run summon villager 17 35 3 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 11 run scoreboard players set @a Scene 12
##########################################
execute if score @p Scene matches 10 run setblock -5 37 1 minecraft:purple_glazed_terracotta[facing=east]
# remove fenced off area on track B
execute if score @p Scene matches 10 run fill 21 35 -3 15 39 5 air
# place wall at end of track A
execute if score @p Scene matches 10 run fill 3 35 -12 11 39 -10 bricks
#place wall at end of track B
execute if score @p Scene matches 10 run fill 31 39 -3 29 35 5 bricks
execute if score @p Scene matches 10 run scoreboard players set @a Scene 11
##########################################
# 20 people on track A
execute if score @p Scene matches 9 run summon villager 5 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 9 run summon villager 6 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 9 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 9 run summon villager 8 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 9 run summon villager 9 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 9 run summon villager 5 35 -14 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 9 run summon villager 6 35 -14 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 9 run summon villager 7 35 -14 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 9 run summon villager 8 35 -14 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 9 run summon villager 9 35 -14 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 9 run summon villager 5 35 -18 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 9 run summon villager 6 35 -18 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 9 run summon villager 7 35 -18 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 9 run summon villager 8 35 -18 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 9 run summon villager 9 35 -18 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 9 run summon villager 5 35 -22 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 9 run summon villager 6 35 -22 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 9 run summon villager 7 35 -22 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 9 run summon villager 8 35 -22 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 9 run summon villager 9 35 -22 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# remove pee pee
execute if score @p Scene matches 9 run fill 1 35 2 -3 35 -2 air
# trap players in fenced off area on track B
execute if score @p Scene matches 9 run clone 26 5 -3 22 5 1 17 35 -1
execute if score @p Scene matches 9 run tp @a 19 36 1
# place selection area next to track B
execute if score @p Scene matches 9 run clone 18 6 -1 18 1 -9 15 35 -3
execute if score @p Scene matches 9 run setblock 16 36 5 minecraft:spruce_button[facing=east]
execute if score @p Scene matches 9 run setblock 16 36 -3 minecraft:oak_button[facing=east]
execute if score @p Scene matches 9 run setblock 15 37 1 minecraft:cyan_glazed_terracotta[facing=east]
execute if score @p Scene matches 9 run scoreboard players set @a Scene 10
##########################################
execute if score @p Scene matches 8 run setblock -5 37 1 minecraft:light_gray_glazed_terracotta[facing=east]
# remove unknown on track B
execute if score @p Scene matches 8 run fill 21 36 -3 21 46 5 air
# put pee pee on ground
execute if score @p Scene matches 8 run clone 22 1 -3 26 1 1 -3 35 -2
execute if score @p Scene matches 8 run scoreboard players set @a Scene 9
##########################################
execute if score @p Scene matches 7 run setblock -5 37 1 minecraft:gray_glazed_terracotta[facing=east]
# replace train with regular train
execute if score @p Scene matches 7 run clone -6 12 -21 0 1 6 4 35 8
# 1 person on track A
execute if score @p Scene matches 7 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# unknown on track B
execute if score @p Scene matches 7 run clone 26 11 -13 26 1 -21 21 36 -3
execute if score @p Scene matches 7 run scoreboard players set @a Scene 8
##########################################
execute if score @p Scene matches 6 run setblock -5 37 1 minecraft:pink_glazed_terracotta[facing=east]
# replace train with patchwork train
execute if score @p Scene matches 6 run clone -6 16 -21 0 27 6 4 35 8
execute if score @p Scene matches 6 run scoreboard players set @a Scene 7
##########################################
execute if score @p Scene matches 5 run setblock -5 37 1 minecraft:lime_glazed_terracotta[facing=east]
# delete backwards train on track A
execute if score @p Scene matches 5 run fill 4 35 -22 10 48 6 air
# 1 rich person (jungle cartographer) on track B
execute if score @p Scene matches 5 run summon villager 17 35 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F],VillagerData:{profession:"minecraft:cartographer",type:"minecraft:jungle"}}
execute if score @p Scene matches 5 run scoreboard players set @a Scene 6
##########################################
execute if score @p Scene matches 4 run setblock -5 37 1 minecraft:yellow_glazed_terracotta[facing=east]
# backwards train on track A
execute if score @p Scene matches 4 run clone 4 12 -21 10 1 6 4 35 -22
execute if score @p Scene matches 4 run scoreboard players set @a Scene 5
##########################################
execute if score @p Scene matches 3 run setblock -5 37 1 minecraft:light_blue_glazed_terracotta[facing=east]
# 1 person facing train on track A
execute if score @p Scene matches 3 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# 2 people facing away from train on track B
execute if score @p Scene matches 3 run summon villager 17 35 0 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[-90F,0F]}
execute if score @p Scene matches 3 run summon villager 17 35 2 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[-90F,0F]}
execute if score @p Scene matches 3 run scoreboard players set @a Scene 4
##########################################
execute if score @p Scene matches 2 run setblock -5 37 1 minecraft:magenta_glazed_terracotta[facing=east]
# 1 person w/ hot dog on track A
execute if score @p Scene matches 2 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,CustomNameVisible:1b,CustomName:'{"text":"Hot Dog Lover"}'}
# 1 person w/ sandwich on track B
execute if score @p Scene matches 2 run summon villager 17 35 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F],CustomNameVisible:1b,CustomName:'{"text":"Sandwich Enjoyer"}'}
execute if score @p Scene matches 2 run scoreboard players set @a Scene 3
##########################################
execute if score @p Scene matches 1 run setblock -5 37 1 minecraft:orange_glazed_terracotta[facing=east]
# 1 doctor (taiga butcher) on track A
execute if score @p Scene matches 1 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,VillagerData:{profession:"minecraft:butcher",type:"minecraft:taiga"}}
# 1 criminal (savanna fletcher) on track B
execute if score @p Scene matches 1 run summon villager 17 35 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F],VillagerData:{profession:"minecraft:fletcher",type:"minecraft:savanna"}}
execute if score @p Scene matches 1 run scoreboard players set @a Scene 2
##########################################
execute if score @p Scene matches 0 run setblock -5 37 1 minecraft:white_glazed_terracotta[facing=east]
# 5 people on track A
execute if score @p Scene matches 0 run summon villager 5 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 0 run summon villager 6 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 0 run summon villager 7 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 0 run summon villager 8 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
execute if score @p Scene matches 0 run summon villager 9 35 -10 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b}
# 1 person on track B
execute if score @p Scene matches 0 run summon villager 17 35 1 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[90F,0F]}
execute if score @p Scene matches 0 run scoreboard players set @a Scene 1
execute if score @p Scene matches 0 run function henzoid:numbers
##########################################

























